# Check the status of a AI Makeup Virtual Try On task.

Endpoint: GET /s2s/v2.0/task/makeup-vto/{task_id}
Security: BearerAuthenticationV2

## Path parameters:

  - `task_id` (string, required)
    ID of task to check

## Response 200 fields (application/json):

  - `status` (integer)
    Response status
    Example: 200

  - `data` (object)

  - `data.task_status` (string)
    Status of this task
    Enum: "running", "success", "error"

  - `data.error` (string)
    Errors:
- `exceed_max_filesize` - Input file size exceeds the maximum limit
- `invalid_parameter` - Invalid parameter value
- `error_download_image` - Download source image error
- `error_decode_image` - Decode source image error
- `unknown_internal_error` - Others
    Enum: "exceed_max_filesize", "invalid_parameter", "error_download_image", "error_decode_image", "error_nsfw_content_detected", "error_inference", "unknown_internal_error"

  - `data.error_message` (string)
    Detailed description of error

  - `data.results` (object)

  - `data.results.url` (string)
    URL to download this result. Valid for 2 hours
    Example: https://example.com/sample-result-url

## Response 400 fields (application/json):

  - `status` (integer)
    Response status
    Example: 400

  - `error_code` (string)
    Enum: "InvalidTaskId"

## Response 401 fields (application/json):

  - `status` (integer)
    Response status
    Example: 401

  - `error_code` (string)
    Enum: "InvalidApiKey", "InactiveApiKey", "ExpiredApiKey"

## Response 500 fields (application/json):

  - `status` (integer)
    Response status
    Example: 500

  - `error_code` (string)
    Enum: "TaskTimeout"

